
From: "Luis R. Rodriguez" <mcgrof@studorgs.rutgers.edu>

2004-04-05	Margit Schubert-While <margitsw@t-online.de>

Fix 2.4 builds

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/wireless/prism54/prismcompat.h |    5 +++++
 1 files changed, 5 insertions(+)

diff -puN drivers/net/wireless/prism54/prismcompat.h~prism54-fix-24-build drivers/net/wireless/prism54/prismcompat.h
--- 25/drivers/net/wireless/prism54/prismcompat.h~prism54-fix-24-build	Wed May 26 16:17:02 2004
+++ 25-akpm/drivers/net/wireless/prism54/prismcompat.h	Wed May 26 16:17:02 2004
@@ -20,6 +20,10 @@
  *	Compatibility header file to aid support of different kernel versions
  */
 
+#ifdef	PRISM54_COMPAT24
+#include "prismcompat24.h"
+#else	/* PRISM54_COMPAT24 */
+
 #ifndef _PRISM_COMPAT_H
 #define _PRISM_COMPAT_H
 
@@ -45,3 +49,4 @@
 #define PRISM_FW_PDEV		&priv->pdev->dev
 
 #endif				/* _PRISM_COMPAT_H */
+#endif				/* PRISM54_COMPAT24 */
_
